### Method

# GIRepository UnionInfo get_method

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_union_info_get_method (
      GIUnionInfo* info,
      unsigned int n
    )

#### Description

Obtain the type information for the method with the specified index.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  A method index.

#### Return value

Type: `GIFunctionInfo`

The `GIFunctionInfo`, free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.